Package org.gradle.api.tasks.testing

# Interface TestOutputEvent

public interface TestOutputEvent
Standard output or standard error message logged during the execution of the test

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static enum`
  `TestOutputEvent.Destination`
  Destination of the message

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TestOutputEvent.Destination`
  `getDestination()`
  Destination of the message
  `long`
  `getLogTime()`
  The time the message was logged, in milliseconds since UNIX epoch.
  `String`
  `getMessage()`
  Message content

- ## Method Details

  - ### getLogTime

    @Incubating long getLogTime()
    The time the message was logged, in milliseconds since UNIX epoch.
    Since:
      8.12

  - ### getDestination

    TestOutputEvent.Destination getDestination()
    Destination of the message

  - ### getMessage

    String getMessage()
    Message content